Subject: Re: bug#51343: 27.2; Xaw3d scrollbar thumb doesn't update while dragged

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Oct 2021 10:01:18 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 24 Oct 2021 14:28:35 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Thanks.  Can you try figuring out in which released Emacs version this
> > started happening?
> 
> Sometime between 23.4 and 25.1.  I built 23.4 with the Gentoo patches
> (strictly limited to resolving build problems), and it seems to work
> fine, but this functionality is broken in 25.1.

Thanks, I guess this means you have to step with a debugger into
x_set_toolkit_scroll_bar_thumb and see when it is called and what
values it produces, and perhaps compare between 23.4 and the current
code base.